---
search:
  tags:
    - Players
    - GET
seo:
  description: Players, by name. Reference for the GET /players endpoint in the Hockay API.
sidebar:
  label: Players, by name
  badge: GET
title: Players, by name
type: openapi-operation
---
`GET /players`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "position": "LW",
      "pronouns": "he/him",
      "teamId": "string",
      "lineAssignment": "F1",
      "starRating": 0,
      "retired": true
    }
  ],
  "next_cursor": "string"
}
```
